﻿/*********************************
Calculator
*********************************/

.BorderedPanel {
    background-color: White;
    border: solid 1px #ccc;
    padding: 5px;
}
.BorderedPanelMaximized {
    background-color: White;
    border: solid 1px #ccc;
    height: 485px;
    width: 190px;
    padding: 5px;
}

.BorderedPanelMinimized {
    background-color: White;
    border: solid 1px #ccc;
    height: 485px;
    width: 52px;
    padding: 5px;
}
/*********************************
Calculator THE NEW ONE
*********************************/

#columnsContainer {
    overflow: hidden;
    white-space: nowrap;
    word-spacing: -1;
    margin-bottom: 10px;
    font-size: 0;
}

#content {
    width: 960px;
}

#changeColumnsViewWrapper {
    text-align: right;
    float: right;
}

.pointer {
    cursor: pointer;
}

.calcColumn {
    width: 200px;
    height: 580px;
    padding: 10px;
    display: inline-block;
    vertical-align: top;
    margin: 0;
    margin-right: 10px;
    margin-bottom: 10px;
    position: relative;
    word-spacing: -1;
    font-size: 11px;
    border-top: 3px solid #E9E9E9;
    border-bottom: 3px solid #E9E9E9;
    background: #ffffff;
}

.columnName {
    display: none;
    text-overflow: ellipsis;
    width: 200px;
    white-space: nowrap;
    overflow: hidden;
    font-size: 12px;
}

.minimizedColumn .formcontainer {
    display: none;
}

.minimizedColumn {
    height: 40px;
}

    .minimizedColumn .columnName {
        display: block;
    }

.calcColumnPrintView {
    float: left;
    display: block;
}

.section .calcColumn input[type="text"], section .calcColumn input[type="text"], section .calcColumn input[type="password"], .section .calcColumn input[type="password"] {
    width: 190px;
}

.section .calcColumn select, section .calcColumn select, section .calcColumn select.listbox {
    width: 200px;
}

.calcColumn input[type="text"].datepicker {
    width: 75px;
}

.calcColumn h3 {
    float: left;
    cursor: move;
}

.calcColumnButtons {
    float: right;
}

.calcBottom {
    bottom: 0;
    position: absolute;
    padding-bottom: 10px;
}

    .calcBottom .formform {
        line-height: 12px;
        min-height: 16px;
    }

.calcColumnHolder {
    background: #fff;
    border: 1px dashed #ccc;
}

.calcColumn .move {
    display: inline-block;
    position: absolute;
    right: 35px;
    top: 10px;
}

div.noDraggable h3, div.noDraggable .move {
    cursor: auto;
}

div.noDraggable .move {
    display: none;
}



#slider .handle span {
    display: inline-block;
    margin: 10px;
    margin-bottom: 0;
}

/**
 * Dragdealer JS v0.9.5
 * http://code.ovidiu.ch/dragdealer-js
 *
 * Copyright (c) 2010, Ovidiu Chereches
 * MIT License
 * http://legal.ovidiu.ch/licenses/MIT
 */

.dragdealer {
    position: relative;
    height: 20px;
    background: #F5F5FB;
    border-radius: 5px;
    border: 1px solid #ccc;
}

    .dragdealer .handle {
        position: absolute;
        cursor: pointer;
    }

    .dragdealer .red-bar {
        width: 100px;
        height: 32px;
        line-height: 34px;
        text-align: center;
        top: -7px;
        margin-left: -1px;
        border: 1px solid #ccc;
        cursor: w-resize;
    }

.red-bar:hover {
    background-color: #ebeaf1 !important;
    background: #ebeaf1; /* Old browsers */ /* IE9 SVG, needs conditional override of 'filter' to 'none' */
    background: url(data:image/svg+xml;base64,PD94bWwgdmVyc2lvbj0iMS4wIiA/Pgo8c3ZnIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgd2lkdGg9IjEwMCUiIGhlaWdodD0iMTAwJSIgdmlld0JveD0iMCAwIDEgMSIgcHJlc2VydmVBc3BlY3RSYXRpbz0ibm9uZSI+CiAgPGxpbmVhckdyYWRpZW50IGlkPSJncmFkLXVjZ2ctZ2VuZXJhdGVkIiBncmFkaWVudFVuaXRzPSJ1c2VyU3BhY2VPblVzZSIgeDE9IjAlIiB5MT0iMCUiIHgyPSIwJSIgeTI9IjEwMCUiPgogICAgPHN0b3Agb2Zmc2V0PSIwJSIgc3RvcC1jb2xvcj0iI2ViZWFmMSIgc3RvcC1vcGFjaXR5PSIxIi8+CiAgICA8c3RvcCBvZmZzZXQ9IjEwMCUiIHN0b3AtY29sb3I9IiNmNmY2ZmMiIHN0b3Atb3BhY2l0eT0iMSIvPgogIDwvbGluZWFyR3JhZGllbnQ+CiAgPHJlY3QgeD0iMCIgeT0iMCIgd2lkdGg9IjEiIGhlaWdodD0iMSIgZmlsbD0idXJsKCNncmFkLXVjZ2ctZ2VuZXJhdGVkKSIgLz4KPC9zdmc+);
    background: -moz-linear-gradient(top, #ebeaf1 0%, #f6f6fc 99%); /* FF3.6+ */
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #ebeaf1), color-stop(99%, #f6f6fc)); /* Chrome,Safari4+ */
    background: -webkit-linear-gradient(top, #ebeaf1 0%, #f6f6fc 99%); /* Chrome10+,Safari5.1+ */
    background: -o-linear-gradient(top, #ebeaf1 0%, #f6f6fc 99%); /* Opera 11.10+ */
    background: -ms-linear-gradient(top, #ebeaf1 0%, #f6f6fc 99%); /* IE10+ */
    background: linear-gradient(top, #ebeaf1 0%, #f6f6fc 99%); /* W3C */
    filter: progid:DXImageTransform.Microsoft.Gradient(GradientType=0, StartColorStr='#ebeaf1', EndColorStr='#f6f6fc'); /* IE6-8 */
}

.red-bar .leftArrow, .red-bar .rightArrow {
    position: absolute;
    top: 12px;
    left: 10px;
}

.red-bar .rightArrow {
    left: auto;
    right: 10px;
}

.dragdealer .disabled {
    background: #898989;
}

#scenarioDetails .errormessagecontainer {
    margin-bottom: 15px;
}
/*********************************
MessageBaseControl
*********************************/



.message-overlay {
    background-color: #FAFAFA;
    background-image: none;
    color: #000;
    display: none;
    left: 50%;
    margin: 0 0 0 -375px;
    padding: 0;
    position: absolute;
    text-align: center;
    top: 0;
    white-space: normal;
    width: 940px;
    z-index: 10001;
}

#Body {
    position: relative;
}

.message-toolbar .item.copy {
    -moz-background-clip: border !important;
    -moz-background-inline-policy: continuous !important;
    -moz-background-origin: padding-box !important;
    background: transparent none repeat scroll 0 0 !important;
    overflow: visible !important;
    text-indent: 0 !important;
}

.message-toolbar .item.close {
    background-image: url("../Images/Messages/message-close.gif");
}


#messages, .message-overlay {
    width: 958px;
    background-color: #FAFAFA;
    background-image: none;
    left: 50%;
    margin: 0 0 0 -480px;
    padding: 0;
    position: absolute;
    top: 0;
    white-space: normal;
    z-index: 999;
    border-top: 3px solid #F0F0F0;
    margin-top: 0px;
    background: #fff;
    margin-top: 0px;
}

.message-overlay {
    z-index: 10001;
}

#messages ._success:nth-child(even) {
    background-color: #AEB039;
}

#messages ._notice:nth-child(even) {
    background-color: #F09855;
}

#messages ._error:nth-child(even) {
    background-color: #E03546;
}

.newmessage, .message {
    text-align: justify;
    margin: 0px;
    padding: 12px 45px 11px 55px;
    background-repeat: no-repeat;
    background-position: 15px center;
    border-bottom: 3px solid #F0F0F0;
    position: relative;
}

    .newmessage span, .message p {
        font-size: 12px;
        font-weight: bold;
        display: inline;
        color: #fff;
        line-height: 22px;
    }

span.messagenm {
    background: #fff;
    padding: 2px 15px;
    margin-right: 12px;
    border-radius: 15px;
}

._success, .message.success {
    background-color: #A5A721;
    background-image: url("../Images/icn_messageok.png");
}

    ._success span.messagenm {
        color: #A5A721;
    }

._notice, .message.notice {
    background-color: #EF8C40;
    background-image: url("../Images/icn_messagenotice.png");
}

    ._notice span.messagenm {
        color: #EF8C40;
    }

._error, .message.error {
    background-color: #DD1D30;
    background-image: url("../Images/icn_messageerror.png");
}

    ._error span.messagenm {
        color: #DD1D30;
    }

._toolbar, .message-toolbar {
    -moz-background-clip: border;
    -moz-background-inline-policy: continuous;
    -moz-background-origin: padding-box;
    display: block;
    position: absolute;
    right: 10px;
    top: 10px;
}

    ._toolbar .closeMessage, .message-toolbar .item.close {
        display: block;
        position: absolute;
        right: 4px;
        top: 3px;
    }

    ._toolbar a.closeMessage, ._toolbar .closeMessage, .message-toolbar .item.close {
        background-repeat: no-repeat;
        background-position: center;
        display: block !important;
        width: 16px;
        height: 16px;
        text-indent: -9999px;
        font-size: 0;
    }


    ._toolbar .closeMessage, .closeMessage:hover, .message-toolbar .item.close {
        background-image: url("../Images/closeMessage.png") !important;
    }

.closeMessage:hover {
    background-image: url("../Images/closeMessage.png") !important;
}
/*********************************
UpdateProgress
*********************************/

#updateProgressWrapper {
    position: relative;
}

    #updateProgressWrapper .updateProgressBackground {
        background-color: #FAFAFA;
        position: absolute;
        z-index: 998;
        left: 0px;
        top: 0px;
        width: 100%;
        display: none;
    }

    #updateProgressWrapper .updateProgressContent {
        margin: 0px;
        width: 160px;
        position: absolute;
        top: 130px;
        left: 50%;
        margin-left: -120px;
        margin-top: -10px;
        height: 20px;
        text-align: center;
        background-color: #FFF;
        cursor: wait;
        border-top: 3px solid #E9E9E9;
        border-bottom: 3px solid #E9E9E9;
        padding: 5px 10px;
        font-size: 1em;
        line-height: 1.9em;
        overflow: hidden;
        box-shadow: #eee 0px 0px 15px;
        display: none;
        z-index: 999;
    }


        #updateProgressWrapper .updateProgressContent .updateProgressMessage span, .blockElement span {
            display: block;
            background-image: url("../Images/updatingPage.gif");
            text-indent: -99999px;
            overflow: hidden;
            background-repeat: no-repeat;
            background-position: 0;
            width: 160px;
            height: 20px;
            float: left;
        }

        #updateProgressWrapper .updateProgressContent .updateProgressMessage span {
            margin-top: -5px;
        }



/*********************************
Form Layout
*********************************/

table.layout {
    width: 100%;
    font-size: 10px;
}

    table.layout td {
        vertical-align: top;
    }

        table.layout td span, .section > span, section > span, div.bubbleContent span {
            margin-top: 10px;
            font-size: 12px;
            color: #377292;
            font-weight: bold;
        }

        table.layout td .returnedValue {
            margin-left: 0;
            font-weight: normal;
            font-size: 1.2em;
            color: #88898f;
        }

    table.layout tr:last-child td {
        padding-top: 10px;
        vertical-align: middle;
    }

    table.layout td input[id$="btnBrowse"] {
        margin-top: 0;
    }

    table.layout td input[type="text"], table.layout td select.listbox, table.table td input[type="text"], .BorderedPanelMaximized input[type="text"] {
        -webkit-box-shadow: none;
        -moz-box-shadow: none;
        box-shadow: none;
        height: 22px;
    }

    table.layout td .hasDatepicker {
        width: 322px;
    }

    table.layout td .filepath {
        width: 237px;
    }

.section > span a {
    font-size: 1em;
}

#ui-datepicker-div {
    display: none;
}

.cgm {
    clear: both;
    width: 940px;
    padding: 15px;
    margin: 0 auto;
    overflow: hidden;
}

/*********************************
Modal dialog
*********************************/

.ui-dialog.ui-widget-content {
    border: 0;
    background: none;
    position: absolute !important;
    top: 60px !important;
}

/*********************************
Tabs
*********************************/

#tabs > div {
    margin-top: 0;
}


#tabs > ul {
    border-bottom: 1px solid #ccc;
    border: 0;
    background: none;
}

div[id^="tabs-"] > div.section {
    background-color: white;
}

/*********************************
HawkeyeProductStyles
*********************************/

a.pageFirst, a.pageFirst:hover, a.pageFirst:visited {
    background: transparent url(../images/btn_smCirLfEndArrow.png) top no-repeat;
    width: 18px;
    height: 18px;
    text-decoration: none;
}

a.pagePrev, a.pagePrev:hover, a.pagePrev:visited {
    background: transparent url(../images/btn_smCirLfArrow.png) top no-repeat;
    width: 18px;
    height: 18px;
    text-decoration: none;
}

a.pageNext, a.pageNext:hover, a.pageNext:visited {
    background: transparent url(../images/btn_smCirRtArrow.png) top no-repeat;
    width: 18px;
    height: 18px;
    text-decoration: none;
}

a.pageLast, a.pageLast:hover, a.pageLast:visited {
    background: transparent url(../images/btn_smCirRtEndArrow.png) top no-repeat;
    width: 18px;
    height: 18px;
    text-decoration: none;
}

a[disabled="disabled"].pageFirst, a[disabled="disabled"].pageFirst:hover, a[disabled="disabled"].pageFirst:visited {
    background: transparent url(../images/btn_smCirLfEndArrowDisabled.png) top no-repeat;
    width: 18px;
    height: 18px;
    text-decoration: none;
}

a[disabled="disabled"].pagePrev, a[disabled="disabled"].pagePrev:hover, a[disabled="disabled"].pagePrev:visited {
    background: transparent url(../images/btn_smCirLfArrowDisabled.png) top no-repeat;
    width: 18px;
    height: 18px;
    text-decoration: none;
}

a[disabled="disabled"].pageNext, a[disabled="disabled"].pageNext:hover, a[disabled="disabled"].pageNext:visited {
    background: transparent url(../images/btn_smCirRtArrowDisabled.png) top no-repeat;
    width: 18px;
    height: 18px;
    text-decoration: none;
}

a[disabled="disabled"].pageLast, a[disabled="disabled"].pageLast:hover, a[disabled="disabled"].pageLast:visited {
    background: transparent url(../images/btn_smCirRtEndArrowDisabled.png) top no-repeat;
    width: 18px;
    height: 18px;
    text-decoration: none;
}

table.table th.center {
    text-align: center;
}

.ui-icon {
    width: 16px;
    height: 16px;
}

.ui-icon-circle-triangle-w {
    background: url(../images/btn_smCirLfArrow.png) top no-repeat;
}

.ui-icon-circle-triangle-e {
    background: url(../images/btn_smCirRtArrow.png) top no-repeat;
}

input.NoVerticalPadding {
    padding: 0;
    padding-left: 3px;
}

.EmailEditorFTB {
    margin-top: 5px;
    margin-bottom: 5px;
}

.EmailEditorButtons {
    padding: 0 10px;
}

select.EmailEditorVariables {
    width: 180px;
    height: 570px;
}

.EmailEditorFTB input, .EmailEditorFTB select, .EmailEditorFTB textarea {
    width: auto;
    height: auto;
}

textarea[readonly="readonly"], textarea[readonly] , input[readonly="readonly"], input[readonly] {
    background-color: #f5f5f5;
}

table.table {
    border-collapse: separate;
}

.disabledSelect option {
    background-color: #fff;
    color: #88898f;
}

.jsexpanderformelement {
    width: 306px;
    margin-top: 15px;
    word-wrap: normal;
}

.firstRowsSelector {
    float: right;
}

    .firstRowsSelector select {
        width: 180px;
        margin-bottom: 2px;
    }

.wordWrap {
    word-wrap: break-word;
}

.autoRefreshAnimated {
    background-image: url("../images/refresh-animated.gif");
    background-position: left -1px;
    background-repeat: no-repeat;
    padding-left: 22px;
    color: #777;
}

.ui-widget-overlay.ui-front, .ui-dialog {
    z-index: 9999;
}

.noresults {
    border-top: 3px solid #E9E9E9;
    border-bottom: 3px solid #E9E9E9;
    padding: 10px;
    text-align: center;
    background: #fcfcfc;
}

.table .noresults {
    background: none;
}

.table .watermark_container {
    width: 100%
}

/*********************************
LiveBox
*********************************/
.liveboxinput {
    background-color: #fff;
    margin-bottom: 5px;
    background-image: url(../images/icn_liveboxicon.png);
    background-position: right;
    background-repeat: no-repeat;
}
/*********************************
Promotions Home
*********************************/

div.bubbleContainer {
    background-color: #FAFAFA;
    margin-bottom: 10px;
    padding: 0;
    width: 238px;
    border-top: 3px solid #E9E9E9;
    border-bottom: 3px solid #E9E9E9;
}

div.bubbleColumn {
    margin-left: 30px;
    width: 200px;
}

div.bubbleHeader {
    color: #377292;
    font-size: 16px;
    font-weight: normal;
    height: 30px;
    line-height: 16px;
    padding-top: 12px;
    text-align: left;
}

div.bubbleContent {
    line-height: 23px;
    padding-bottom: 10px;
}

div.columnLeft {
    float: left;
    width: 680px;
}

div.columnRight {
    float: left;
    padding: 10px;
    width: 240px;
    padding-top: 0;
}

div.bubbleContent select {
    width: 180px;
}

div.bubbleContent input[type="text"] {
    width: 180px;
}
/*********************************
Communication UI Styles
*********************************/
.formrecipients .formlabel {
    float: left;
    min-width: 35px;
    line-height: 24px;
}

.formrecipients .formform select {
    width: 290px;
}

.formrecipients .formform input {
    width: 279px;
}

.formform noscroll {
    overflow: hidden !important;
}

.formcontainer .emailEditorMain {
    width: 100%;
    position: relative;
}

.formVariables {
    position: absolute;
    right: 5px;
    top: 39px;
    z-index: 9;
}

    .formVariables a, .formVariables select {
        border-color: rgb(211, 210, 216);
        text-align: left;
        margin-bottom: 5px;
        height: 28px;
    }

    .formVariables select {
        width: 252px;
        display: block;
    }

    .formVariables a {
        padding-left: 8px;
        padding-right: 8px;
        height: 35px;
        border-color: rgb(211, 210, 216);
        background-image: -webkit-linear-gradient(top, rgb(255, 255, 255), rgb(249, 248, 250));
    }

        .formVariables a span {
            padding-left: 25px;
            background-image: url(../images/addToSubject.png);
            background-repeat: no-repeat !important;
            background-position: 1px center !important;
            line-height: 35px;
        }

    .formVariables .AddVariableToTemplate span {
        background-image: url(../images/addToTemplate.png) !important;
    }

.formcontainer .emailEditorVariables {
    width: 200px;
}

    .formcontainer .emailEditorVariables select {
        width: 170px;
    }

.section input[type="text"].emailEditorSubject {
    width: 630px;
}

#previewContainer input[type="text"].emailEditorSubject {
    width: 858px;
}


.formrecipients .formlabel {
    float: left;
    min-width: 58px;
    line-height: 24px;
}

.formrecipients .formform select {
    width: 270px;
}

.formrecipients .formform input {
    width: 259px;
}

.partnerPreviewChanger, .dragDropInfo {
    border: 1px solid #ccc;
    border-radius: 5px;
    background: #fff;
    padding: 3px;
    height: 26px;
    text-align: center;
}

.dragDropInfo {
    text-align: left;
}

.red-label {
    color: #ff0000;
    font-weight: normal;
}

.partnerPreviewChanger {
    width: 450px;
}

.partnerToPreview {
    margin-top: 0 !important;
}

    .partnerToPreview input {
        margin-right: 10px;
    }

.partnerPreviewHolder {
    border: 1px solid #ccc;
    border-radius: 5px;
    background: #fff;
    padding: 3px;
    padding-bottom: 5px;
    text-align: center;
    height: 500px;
    overflow: hidden;
}

.dragDropInfo {
    padding-left: 10px;
    margin-top: 10px;
}

#editorArea {
    position: relative;
}

#editorDisabled {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    z-index: 10;
    background-color: rgba(255,255,255,0.8);
}

#editorDisabledPopup {
    position: absolute;
    width: 200px;
    background: #fff;
    margin-left: -105px;
    margin-top: -30px;
    border: 1px solid #ccc;
    border-radius: 5px;
    padding: 3px 20px;
    font-size: 12px;
    color: #377292;
    font-weight: bold;
    text-align: center;
    left: 50%;
    top: 50%;
}


/*********************************
Extract View styles
*********************************/

.viewElement input[type="text"] {
    width: 214px;
}

.viewElement select {
    width: 102px;
}

#scenarioDetailsFromBulk > #content {
    position: relative !important;
    width: auto;
    padding: 0;
    margin: 0;
    clear: none;
}

#scenarioDetailsFromBulk .calcColumn h3 {
    cursor: auto;
}
/***********************************
 progress
*************************************/
.ui-progressbar {
    height: 14px;
    text-align: left;
    overflow: hidden;
    position: relative;
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    border-radius: 3px;
    min-width: 110px;
}

    .ui-progressbar span {
        width: 100%;
        text-align: center;
        position: absolute;
        top: 0;
    }

    .ui-progressbar .ui-progressbar-value {
        margin: -1px;
        height: 100%;
    }

    .ui-progressbar .ui-progressbar-overlay {
        background: url("../images/animated-overlay.gif");
        height: 100%;
        margin-top: 1px;
        filter: alpha(opacity=25);
        opacity: 0.25;
    }

.ui-progressbar-indeterminate .ui-progressbar-value {
    background-image: none;
}

.ui-widget-content {
    border: 1px solid #aaaaaa;
    background-color: #f6f6fc;
    color: #000;
}

    .ui-widget-content.success {
        background-color: #E6EFC2;
        border: 1px solid #C6D880;
        color: #264409;
    }

    .ui-widget-content.failed {
        background-color: #FBE3E4;
        border: 1px solid #FBC2C4;
        color: #8A1F11;
    }

    .ui-widget-content.partial {
        background-color: #FAEFB4;
        border: 1px solid #e9e0a2;
        color: #264409;
    }

.ui-widget-header {
    font-weight: bold;
}

#scenarioDetailsFromBulk > #content {
    position: relative !important;
    width: auto;
    padding: 0;
    margin: 0;
    clear: none;
}

#scenarioDetailsFromBulk .calcColumn h3 {
    cursor: auto;
}

.fileUploadExt {
    font-size:11px;
    line-height: 16px;
    color: #EFA020;
    font-weight:bold;
}
/***********************************
 Async loading styles form custom binding - isLoading for part of the page (e.g. populating dropdown from AJAX)
*************************************/
.loadingArea {
    position: relative;
}

    .loadingArea > div {
        opacity: 0.6;
        transition: opacity .25s ease-in-out;
        -moz-transition: opacity .25s ease-in-out;
        -webkit-transition: opacity .25s ease-in-out;
    }


    .loadingArea div.loadingSpinner {
        position: absolute;
        right: 8%;
        bottom: 8%;
        color: #3A7283;
    }

.cleanAllInitial {
    all: initial;
}